Templates
Create Template
Create a new email template.
POST
/
templates
Create Template
curl --request POST \
--url https://api.unosend.co/templates \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"name": "<string>",
"subject": "<string>",
"html": "<string>",
"text": "<string>"
}
'import requests
url = "https://api.unosend.co/templates"
payload = {
"name": "<string>",
"subject": "<string>",
"html": "<string>",
"text": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({name: '<string>', subject: '<string>', html: '<string>', text: '<string>'})
};
fetch('https://api.unosend.co/templates', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
string
required
A friendly name for the template.
string
required
The email subject line. Supports variables like
{{variable}}.string
The HTML body of the email. Supports variables.
string
The plain text body of the email. Supports variables.
Request
curl -X POST https://api.unosend.co/templates \
-H "Authorization: Bearer un_xxxxxxxxxx" \
-H "Content-Type: application/json" \
-d '{
"name": "Welcome Email",
"subject": "Welcome to {{company_name}}, {{first_name}}!",
"html": "<h1>Welcome, {{first_name}}!</h1><p>Thanks for joining {{company_name}}.</p>"
}'
await fetch('https://api.unosend.co/templates', {
method: 'POST',
headers: {
'Authorization': 'Bearer un_xxxxxxxxxx',
'Content-Type': 'application/json'
},
body: JSON.stringify({
name: 'Welcome Email',
subject: 'Welcome to {{company_name}}, {{first_name}}!',
html: '<h1>Welcome, {{first_name}}!</h1><p>Thanks for joining {{company_name}}.</p>'
})
});
import requests
requests.post('https://api.unosend.co/templates',
headers={'Authorization': 'Bearer un_xxxxxxxxxx'},
json={
'name': 'Welcome Email',
'subject': 'Welcome to {{company_name}}, {{first_name}}!',
'html': '<h1>Welcome, {{first_name}}!</h1><p>Thanks for joining {{company_name}}.</p>'
}
)
Response
201
{
"success": true,
"data": {
"id": "tpl_abc123",
"name": "Welcome Email",
"subject": "Welcome to {{company_name}}, {{first_name}}!",
"html": "<h1>Welcome, {{first_name}}!</h1><p>Thanks for joining {{company_name}}.</p>",
"created_at": "2024-01-15T10:30:00.000Z"
}
}
⌘I
Create Template
